Skip to main content
Version: API v1

Subdomains eines Accounts auslesen

GET/v1/accounts/{accountIdentifier}/domains/{domainIdentifier}/subdomains
API version
v1
Request method
GET
Operation ID
listSubdomainsByDomain

Liefert alle verfügbaren Subdomains eines Accounts

Request​

  • accountIdentifierstringrequired

    Name oder ID eines Accounts

  • domainIdentifierstringrequired

    Vollständiger Name der Domain

Responses​

Format
application/json
Description

Liste der Subdomains

  • Array[
    • *object
      • uidinteger
      • fullNamestring
      • targetstring
      • namestring
    ]
Content-Type: application/json

[
{
"uid": 123,
"fullName": "string",
"target": "string",
"name": "string"
}
]
{
"type": "array",
"items": {
"title": "Subdomain",
"type": "object",
"properties": {
"uid": {
"type": "integer",
"readOnly": true
},
"fullName": {
"type": "string",
"readOnly": true
},
"target": {
"type": "string"
},
"name": {
"type": "string"
}
}
}
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/accounts/string/domains/string/subdomains

On this page